<?php
namespace Claromentis\Core\TrashCan;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_a540f3d49e78c8620c" . "4547ce19cefb33" => base64_decode("Y29tbW9uLnRyYXNoX2Nhbi5kZWxldGVkX2J5X2FkbWluaX" . "N0cmF0b3I="), "_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG" . "1z" . "Zw" . "=="));
use CommonListOutputUser;






class TrashCanListOutputUser extends CommonListOutputUser
{
    public function FormatAsHTML($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a540f3d49e78c8620c45" . "47ce19cefb33"]);
        }
        return parent::FormatAsHTML($value);
    }
    public function FormatAsText($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a540f3d49e78c8620c4547c" . "e19cefb33"]);
        }
        return parent::FormatAsText($value);
    }
}